package minecraft.item.potion;

public class PotionMain {
    public static void main(String[] params) {
        Potion basePotion = new BasePotion();
        basePotion.drink();
        System.out.println(basePotion.getDescription());

        Potion speedPotion = new SpeedEffectDecorator(basePotion);
        speedPotion.drink();
        System.out.println(speedPotion.getDescription());

        Potion strengthPotion = new StrengthEffectDecorator(speedPotion);
        strengthPotion.drink();
        System.out.println(strengthPotion.getDescription());

        // more strength!
        Potion strengthPotion2 = new StrengthEffectDecorator(strengthPotion);
        strengthPotion2.drink();
        System.out.println(strengthPotion2.getDescription());

        basePotion = new BasePotion();
        Potion ultimatePotion = new ExtendedDurationEffectDecorator(
                new StrengthEffectDecorator(
                        new StrengthEffectDecorator(
                                new SpeedEffectDecorator(new HealingEffectDecorator(basePotion)))));
        ultimatePotion.drink();
        System.out.println(ultimatePotion.getDescription());

        PotionDBSingleton pdbs = PotionDBSingleton.getInstance();
        System.out.println(pdbs.getPotionsNo());
    }
}
